NFC_AmiiboSettings Struct Reference

AmiiboSettings structure, see also here: https://3dbrew.org/wiki/NFC:GetAmiiboSettings. More...

`#include <nfc.h>`

## Data Fields

u8 | mii [0x60]
u16 | nickname [11]
| "Owner Mii."
u8 | flags
| "UTF-16BE Amiibo nickname."
u8 | countrycodeid
| "This is plaintext_amiibosettingsdata[0] & 0xF." See also the NFC_amiiboFlag enums.
u16 | setupdate_year
| "This is plaintext_amiibosettingsdata[1]." "Country Code ID, from the system which setup this amiibo."
u8 | setupdate_month
u8 | setupdate_day
u8 | unk_x7c [0x2c]

## Detailed Description

AmiiboSettings structure, see also here: https://3dbrew.org/wiki/NFC:GetAmiiboSettings.

Examples
  nfc/source/main.c.

The documentation for this struct was generated from the following file:

- include/3ds/services/nfc.h